package com.hh.lib_dx_base_multi.bean.sscard;

import com.google.gson.JsonObject;

/**
 * @Description:
 * @author: Xia WeiHao
 * @date: 2024/6/24
 */
public class BaseSSCardBean {

    public String cardNumber="";

    public String name="";
    public String sex="";

    public String idNumber="";
    public String birthDate="";
    public String issueDate="";
    public String expireDate="";
    public String fullVersion="";
    public String nation="";
    public String cityCode="";

    public String address="";

    public BaseSSCardBean() {
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }



    public String getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(String birthDate) {
        this.birthDate = birthDate;
    }

    public String getIssueDate() {
        return issueDate;
    }

    public void setIssueDate(String issueDate) {
        this.issueDate = issueDate;
    }

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }

    public String getFullVersion() {
        return fullVersion;
    }

    public void setFullVersion(String fullVersion) {
        this.fullVersion = fullVersion;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String toString() {
        return "姓名: " + this.name + '\n' + "性别: " + this.sex + '\n' + "民族: " + this.nation + '\n' + "地址: " + this.address + '\n'+ "出生日期: " + this.birthDate + '\n' + "发证日期: " + this.issueDate + '\n' + "有效日期: " + this.expireDate + '\n' + "卡号: " + this.cardNumber + '\n' + "社会保障号码: " + this.idNumber + '\n' + "城市代码: " + this.cityCode + '\n' + "社保卡版本: " + this.fullVersion + '\n';
    }
    public String getBasicsInfoJson(){
        JsonObject jsonObject=new JsonObject();
        jsonObject.addProperty("cardNumber",cardNumber);
        jsonObject.addProperty("name",name);
        jsonObject.addProperty("sex",sex);
        jsonObject.addProperty("birthDate",birthDate);
        jsonObject.addProperty("idNumber",idNumber);
        return jsonObject.toString();
    }


    public String getAllInfoJson(){
        JsonObject jsonObject=new JsonObject();
        jsonObject.addProperty("cardNumber",cardNumber);
        jsonObject.addProperty("name",name);
        jsonObject.addProperty("sex",sex);
        jsonObject.addProperty("nation",nation);
        jsonObject.addProperty("address",address);
        jsonObject.addProperty("birthDate",birthDate);
        jsonObject.addProperty("idNumber",idNumber);
        jsonObject.addProperty("issueDate",issueDate);
        jsonObject.addProperty("expireDate",expireDate);
        jsonObject.addProperty("nation",nation);
        jsonObject.addProperty("cityCode",cityCode);
        jsonObject.addProperty("fullVersion",fullVersion);
        return jsonObject.toString();
    }

}
